package net.sourceforge.basher.impl;

import java.util.List;

import junit.framework.TestCase;
import net.sourceforge.basher.Task;

/**
 * @author Johan Lindquist
 */
public class TestTaskTree extends TestCase
{
    private NamedTestTask _testTask1;
    private NamedTestTask _testTask2;
    private NamedTestTask _testTask3;
    private NamedTestTask _testTask4;

    public void testIt()
    {
        TaskTree taskTree = new TaskTree();
        taskTree.addTask( _testTask1 );
        taskTree.addTask( _testTask2 );
        taskTree.addTask( _testTask3 );
        taskTree.addTask( _testTask4 );

        List<Task> taskList = taskTree.getTasks( "1.2.*" );
        assertNotNull("unexpected null", taskList);
        assertEquals("unexpected size",2,taskList.size());

        taskList = taskTree.getTasks( "1.*" );
        assertNotNull("unexpected null", taskList);
        assertEquals("unexpected size",2,taskList.size());

        taskList = taskList = taskTree.getTasks( "*" );
        assertNotNull("unexpected null", taskList);
        assertEquals("unexpected size",4,taskList.size());

    }


    protected void setUp() throws Exception
    {
        super.setUp();
        _testTask1 = new NamedTestTask( "1.2.3.TestTask1" );
        _testTask2 = new NamedTestTask( "1.2.TestTask2" );
        _testTask3 = new NamedTestTask( "0.1.TestTask3" );
        _testTask4 = new NamedTestTask( "TestTask4" );
    }
}
